// Program Code: Sequential LED Blinking with Button //
    
    // Written by: Jorge Suarez de Freitas //
    
    // Define pin numbers for components
    int Button = 1;   // Button pin
    int LED1 = 0;     // First LED pin
    int LED2 = 6;     // Second LED pin
    int LED3 = 7;     // Third LED pin
    int estate;       // Variable to store button state
    
    
     // Setup function: runs once when the program starts
    void setup() {
       
        
        // Serial communication setup
        Serial.begin(9600); 
        
        // Set pin modes (Input or Output)
        pinMode(LED1, OUTPUT); 
        pinMode(LED2, OUTPUT);
        pinMode(LED3, OUTPUT);
        pinMode(Button, INPUT);
    }
    
    void loop() {
        // Loop function: runs repeatedly as the program executes
        
        // Read the state of the button
        estate = digitalRead(Button);
        
        // Print button state to serial monitor
        Serial.println(estate);
        
        // If button is pressed (state == 1)...
        if (estate == 1) {
            // Sequentially turn LEDs on and off with delays
            digitalWrite(LED1, HIGH);
            delay(100);
            digitalWrite(LED2, HIGH);
            delay(100);
            digitalWrite(LED3, HIGH);
            delay(100);
            digitalWrite(LED1, LOW);
            delay(100);
            digitalWrite(LED2, LOW);
            delay(100);
            digitalWrite(LED3, LOW);
            delay(100);
        }
        
        // If button is NOT pressed (state != 1)...
        else {
            // Turn off all LEDs
            digitalWrite(LED1, LOW);
            digitalWrite(LED2, LOW);
            digitalWrite(LED3, LOW);
            delay(10); // Short delay to debounce
        }
    }